# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit unpacker

KEYWORDS="~amd64"
DESCRIPTION="Multi-threaded ffmpeg codecs needed for the HTML5 <audio> and <video> tags"
HOMEPAGE="http://www.chromium.org/Home"
SLOT="0"
LICENSE="BSD"
RESTRICT="bindist strip mirror"

DEBIAN_REVISION="0ubuntu0.18.04.1"
_FULL_VERSION="${PV}-${DEBIAN_REVISION}"
BASE_URI="http://launchpadlibrarian.net/651923070"
SRC_URI="
	amd64? ( ${BASE_URI}/chromium-codecs-ffmpeg-extra_${_FULL_VERSION}_amd64.deb )
"
S="${WORKDIR}"
QA_PREBUILT="*"

src_unpack() {
	unpack_deb ${A}
}

src_install() {
	insinto /opt/yandex/browser
	doins usr/lib/chromium-browser/libffmpeg.so
}
